#ifndef FBCAutoStartInfo__H
#define FBCAutoStartInfo__H

#ifndef FBVersion
#define FBVersion 7
#elif FBVersion != 7
#error "The headers for FBCAccess version have been mixed"
#endif

typedef struct FBCAutoStartInfo FBCAutoStartInfo;

#ifdef __cplusplus
extern "C" {
#endif

FBCAutoStartInfo* fbcaiRetain(FBCAutoStartInfo* self);
void              fbcaiRelease(FBCAutoStartInfo* self);

unsigned fbcaiCount(FBCAutoStartInfo* self);

const char* fbcaiDatabaseNameAtIndex(FBCAutoStartInfo* self, unsigned indx);

const char* fbcaiOptionsAtIndex(FBCAutoStartInfo* self, unsigned indx);

void fbcaiRemoveInfoAtIndex(FBCAutoStartInfo* self, unsigned indx);

void fbcaiAddInfo(FBCAutoStartInfo* self, const char* databaseName, const char* options);

void fbcaiReplaceOptionsAtIndex(FBCAutoStartInfo* self, unsigned indx, const char* options);

#ifdef __cplusplus
}
#endif

#endif /* FBCAutoStartInfo__H */
